Page MenuHomePhabricator

re-index multimedia files after deployment of ogg filetype detection updates
Closed, DeclinedPublic

Description

Once the parent task has shipped out we will need to re-index multimedia files across the cluster. Probably a reindex on NS_FILE will be reasonable enough.

Event Timeline

brion added a comment.Jan 17 2017, 7:51 PM

You'll probably have to touch the affected files to update their data first... Not sure if we have a suitable maint script at this time.

debt moved this task from needs triage to Up Next on the Discovery-Search board.Jan 19 2017, 11:09 PM
zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Jan 27 2017, 4:36 PM

@brion I'm not clear here, what is involved in touching the affected files? I have very little knowledge of our infrastructure for storing the millions of image/video/etc files.

debt added a subscriber: debt.Oct 19 2017, 5:16 PM

Hey @brion - is there still anything to be done on this task? If nothing, I'd like to close it or at least take off our board. Thanks!

Smalyshev closed this task as Resolved.Oct 19 2017, 7:57 PM
Smalyshev claimed this task.

IIRC we did the reindex for this purpose long time ago, if there's some data not updated, by now I think it'd be better to open a new task.

Smalyshev reopened this task as Open.Oct 19 2017, 7:59 PM

Wait, actually I may be wrong - this is not the initial reindex (which we did), this is reindex for ogg, of which I am not sure whether we did it or not.

Smalyshev removed Smalyshev as the assignee of this task.Nov 1 2017, 11:31 PM

Did this ever happen? If not, we need to add it to T147505, or close it if it's not relevant anymore.

EBernhardson closed this task as Declined.Sep 10 2018, 6:01 PM

Rather than a running manual reindex T203622 implements a new process that constantly reindexes on a rolling 8-10 week cycle. Once that is deployed (post-dc switchover) all files on commons should be updated within 10 weeks.